
singleton Material(pickup)
{
   mapTo = "pickup";
   diffuseMap[2] = "vehicles/cany/pickup_c.dds";
   specularMap[2] = "vehicles/cany/pickup_s.dds";
   normalMap[2] = "vehicles/cany/pickup_n.dds";
   diffuseMap[1] = "vehicles/cany/pickup_d.dds";
   specularMap[1] = "vehicles/cany/pickup_s.dds";
   normalMap[1] = "vehicles/cany/pickup_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/cany/pickup_n.dds";
   //diffuseMap[3] = "vehicles/cany/pickup_dirt.dds";
   //normalMap[3] = "vehicles/cany/pickup_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.9 0.05 0.01 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_glass)
{
   mapTo = "pickup_glass";
   diffuseMap[0] = "vehicles/cany/pickup_glass_d.dds";
   specularMap[0] = "vehicles/cany/pickup_glass_s.dds";
   diffuseMap[1] = "vehicles/cany/pickup_glass_da.dds";
   specularMap[1] = "vehicles/cany/pickup_glass_s.dds";
   //diffuseMap[2] = "vehicles/cany/pickup_glass_dirt.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_headlight)
{
   mapTo = "pickup_headlight";
};

singleton Material(pickup_parkinglight)
{
   mapTo = "pickup_parkinglight";
};

singleton Material(pickup_signal_L)
{
   mapTo = "pickup_signal_L";
};

singleton Material(pickup_signal_R)
{
   mapTo = "pickup_signal_R";
};

singleton Material(pickup_taillight_L)
{
   mapTo = "pickup_taillight_L";
};

singleton Material(pickup_taillight_R)
{
   mapTo = "pickup_taillight_R"; 
};

singleton Material(pickup_reverselight)
{
   mapTo = "pickup_reverselight"; 
};

singleton Material(pickup_chmsl)
{
   mapTo = "pickup_chmsl"; 
};

singleton Material(pickup_lights)
{
   mapTo = "pickup_lights";
   diffuseMap[1] = "vehicles/cany/pickup_lights_d.dds";
   specularMap[1] = "vehicles/cany/pickup_lights_s.dds";
   normalMap[1] = "vehicles/cany/pickup_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/cany/pickup_lights_n.dds";
   //diffuseMap[2] = "vehicles/cany/pickup_lights_dirt.dds";
   //normalMap[2] = "vehicles/cany/pickup_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights_on)
{
   mapTo = "pickup_lights_on";
   diffuseMap[2] = "vehicles/cany/pickup_lights_g.dds";
   specularMap[2] = "vehicles/cany/pickup_lights_s.dds";
   normalMap[2] = "vehicles/cany/pickup_lights_n.dds";
   diffuseMap[1] = "vehicles/cany/pickup_lights_d.dds";
   specularMap[1] = "vehicles/cany/pickup_lights_s.dds";
   normalMap[1] = "vehicles/cany/pickup_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/cany/pickup_lights_n.dds";
   //diffuseMap[3] = "vehicles/cany/pickup_lights_dirt.dds";
   //normalMap[3] = "vehicles/cany/pickup_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights_on_intense)
{
   mapTo = "pickup_lights_on_intense";
   diffuseMap[2] = "vehicles/cany/pickup_lights_g.dds";
   specularMap[2] = "vehicles/cany/pickup_lights_s.dds";
   normalMap[2] = "vehicles/cany/pickup_lights_n.dds";
   diffuseMap[1] = "vehicles/cany/pickup_lights_d.dds";
   specularMap[1] = "vehicles/cany/pickup_lights_s.dds";
   normalMap[1] = "vehicles/cany/pickup_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/cany/pickup_lights_n.dds";
   //diffuseMap[3] = "vehicles/cany/pickup_lights_dirt.dds";
   //normalMap[3] = "vehicles/cany/pickup_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights_dmg)
{
   mapTo = "pickup_lights_dmg";
   diffuseMap[1] = "vehicles/cany/pickup_lights_dmg_d.dds";
   specularMap[1] = "vehicles/cany/pickup_lights_dmg_s.dds";
   normalMap[1] = "vehicles/cany/pickup_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/cany/pickup_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/cany/pickup_lights_dirt.dds";
   //normalMap[2] = "vehicles/cany/pickup_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_interior)
{
   mapTo = "pickup_interior";
   diffuseMap[0] = "pickup_interior_d.dds";
   normalMap[0] = "pickup_interior_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   specularMap[0] = "pickup_interior_s.dds";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(pickup_gauges)
{
   mapTo = "pickup_gauges";
   diffuseMap[0] = "pickup_gauges_d.dds";
   specularMap[0] = "pickup_gauges_s.dds";
   //normalMap[0] = "pickup_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(pickup_gauges_on)
{
   mapTo = "pickup_gauges_on";
   diffuseMap[1] = "pickup_gauges_g.dds";
   specularMap[1] = "pickup_gauges_s.dds";
   //normalMap[1] = "pickup_gauges_n.dds";
   diffuseMap[0] = "pickup_gauges_d.dds";
   specularMap[0] = "pickup_gauges_s.dds";
   //normalMap[0] = "pickup_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(pickup_glass_dmg)
{
   mapTo = "pickup_glass_dmg";
   diffuseMap[0] = "vehicles/cany/pickup_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/cany/pickup_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

//v8 engine
singleton Material(fullsize)
{
   mapTo = "fullsize";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_c.dds";
   //specularMap[2] = "vehicles/fullsize/fullsize_s.dds";
   //normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "0.06 0.08 0.22 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pickup_lights)
{
   mapTo = "lights";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(pickup_grilleCAN)
{
   mapTo = "grilleCAN";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseMap[0] = "vehicles/cany/common.png";
   translucent = "1";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(pickup_bodyCAN)
{
   mapTo = "bodyCAN";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "14";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/cany/kuzov.jpg";
   pixelSpecular[0] = "1";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(pickup_interiorCAN)
{
   mapTo = "pickup_interiorCAN";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(pickup_shockCAN)
{
   mapTo = "shockCAN";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseMap[0] = "vehicles/cany/shock.png";
   translucent = "1";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(pickup_commonCAN)
{
   mapTo = "commonCAN";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/cany/common (2).png";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(pickup_lightsCAN)
{
   mapTo = "lightsCAN";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseMap[0] = "vehicles/cany/lights.png";
   translucent = "1";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(pickup_tireCAN)
{
   mapTo = "tireCAN";
   diffuseColor[0] = "0.145098 0.145098 0.145098 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(pickup_rimCAN)
{
   mapTo = "rimCAN";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "1";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/cany/rim.png";
   pixelSpecular[0] = "1";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(pickup_windowsCAN)
{
   mapTo = "windowsCAN";
   diffuseColor[0] = "0.64 0.64 0.64 0.56";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseMap[0] = "vehicles/cany/windows.png";
   translucent = "1";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(pickup_glass_dmgCANY)
{
   mapTo = "pickup_glass_dmgCANY";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseMap[0] = "vehicles/cany/windows_DMG.png";
   translucent = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(pickup_lights_dmgCANY)
{
   mapTo = "pickup_lights_dmgCANY";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseMap[0] = "vehicles/cany/windows_DMG.png";
   translucent = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(cany_interiorCAN2)
{
   mapTo = "interiorCAN2";
   diffuseColor[0] = "0.513726 0.513726 0.513726 1";
   specular[0] = "0.992157 0.992157 0.992157 1";
   specularPower[0] = "19";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/cany/intererir.png";
   pixelSpecular[0] = "1";
   materialTag0 = "beamng";
   materialTag1 = "vehicle";
};
